%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/More.pm) perl(Tie/Scalar.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.06
%define module_name Class-Entangle
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Functions to entangle an object.
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/E/EX/EXODIST/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Class::Entangle is names after Quantum Entanglement, which is where 2
partacles are entangled in such a way that events occuring to one occur to the
other as well, even if they are seperated by great distance.

Using Class::Entangle you can pull an 'entanglement' from a class. This
entanglement contains a list of class properties, which includes subroutines,
variables, and handles. This entanglement can be used to create entanglers,
which in turn can be used to entangle a class.

An entangler is a new class definition that contains definitions for subroutines,
variables, and handles that match another classes. When you define an entangler
you tell it how you want it to entangle each type. Subroutines are defined by
providing a callback routine. Variables and handers are defined using tie.

Once you have an entangler for a class you can use that class as you would your
original class. If the class is an object defenition then you can use the
entangle() function to create an instance of the entangler against an existing
object.

Note: You probably don't want to use construction methods through the entangler
class, it will return whatever the constructor for the original class returns.
This will return a new instance of the original class.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/C*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

